Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-104095

Trying to view available Plugins and this Error pops up

    XMLWordPrintable

    Details

      Description

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1279, in _clone_repo
          raise su.CalledProcessError(cp.returncode, cp.args, stderr=e)
      subprocess.CalledProcessError: Command '['git', '-C', '/mnt/JailsData/iocage/.plugin_index', 'checkout', 'master']' returned non-zero exit status 1.

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 636, in __clone_pull_plugin_index
          self._clone_repo(self.branch, git_server, git_working_dir, callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1307, in _clone_repo
          k: v for k, v in kwargs.items() if v
        File "/usr/local/lib/python3.6/site-packages/git/repo/base.py", line 982, in clone_from
          return cls._clone(git, url, to_path, GitCmdObjectDB, progress, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/git/repo/base.py", line 933, in _clone
          finalize_process(proc, stderr=stderr)
        File "/usr/local/lib/python3.6/site-packages/git/util.py", line 336, in finalize_process
          proc.wait(**kwargs)
        File "/usr/local/lib/python3.6/site-packages/git/cmd.py", line 418, in wait
          raise GitCommandError(self.args, status, errstr)
      git.exc.GitCommandError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/JailsData/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/JailsData/iocage/.plugin_index'...
      fatal: unable to access 'https://github.com/freenas/iocage-ix-plugins.git/': Failed to connect to github.com port 443: Operation timed out
      '

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 544, in list_resource
          header=False)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 914, in fetch
          icon=True, official=official)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 654, in fetch_plugin_index
          self.__clone_pull_plugin_index()
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 643, in __clone_pull_plugin_index
          _callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
          _callback(content, exception)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
          raise callback_exception(message)
      RuntimeError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/JailsData/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/JailsData/iocage/.plugin_index'...
      fatal: unable to access 'https://github.com/freenas/iocage-ix-plugins.git/': Failed to connect to github.com port 443: Operation timed out
      '
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1096, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1041, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1061, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 995, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 971, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
      RuntimeError: Cmd('git') failed due to: exit code(128)
        cmdline: git clone -v https://github.com/freenas/iocage-ix-plugins.git /mnt/JailsData/iocage/.plugin_index
        stderr: 'Cloning into '/mnt/JailsData/iocage/.plugin_index'...
      fatal: unable to access 'https://github.com/freenas/iocage-ix-plugins.git/': Failed to connect to github.com port 443: Operation timed out
      '
       

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                releng Release Council
                Reporter:
                Killer747973 Cody Peabody
                Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: